Bug 48026 - SVGStyledTransformableElement supplemental transforms pre-multiplied but should be post-multiplied.
Summary: SVGStyledTransformableElement supplemental transforms pre-multiplied but shou...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Shane Stephens
URL:
Keywords:
Depends on:
Blocks: 48031
  Show dependency treegraph
 
Reported: 2010-10-20 16:42 PDT by Shane Stephens
Modified: 2011-01-18 22:15 PST (History)
7 users (show)

See Also:


Attachments
Patch (4.44 KB, patch)
2010-10-20 17:03 PDT, Shane Stephens
no flags Details | Formatted Diff | Diff
Patch (6.57 KB, patch)
2010-10-29 14:17 PDT, Shane Stephens
no flags Details | Formatted Diff | Diff
Patch (6.57 KB, patch)
2010-11-03 13:35 PDT, Shane Stephens
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane Stephens 2010-10-20 16:42:12 PDT
SVGStyledTransformableElement supplemental transforms pre-multiplied but should be post-multiplied.
Comment 1 Shane Stephens 2010-10-20 17:03:31 PDT
Created attachment 71369 [details]
Patch
Comment 2 Dirk Schulze 2010-10-26 23:14:49 PDT
Comment on attachment 71369 [details]
Patch

Same like in bug 48215.
Does this only apply to elements with local transform in combination of animateMotion, what about animateTransform? If you need animation tests, you should use the animation test api in svg/animations. Please take a look there. Using setTimeout is definitely wrong.
If it does not only effect animateMotion, I'd like to see more tests.
Comment 3 Shane Stephens 2010-10-26 23:38:31 PDT
This bug does not affect animateTransform as animateTransform appends or replaces the target element's transformList directly, whereas animateMotion acts via the m_supplementalTransform member of SVGStyledTransformableElements.
Comment 4 Shane Stephens 2010-10-29 14:17:39 PDT
Created attachment 72390 [details]
Patch
Comment 5 Nikolas Zimmermann 2010-10-29 14:27:31 PDT
Comment on attachment 72390 [details]
Patch

Excellent job. I guess you're fixing operator* afterwards?
Comment 6 Shane Stephens 2010-10-29 15:14:53 PDT
Yep, I'm tracking that in 48031
Comment 7 WebKit Commit Bot 2010-10-29 16:40:23 PDT
Comment on attachment 72390 [details]
Patch

Rejecting patch 72390 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', 'build-and-test', '--no-clean', '--no-update', '--test', '--non-interactive']" exit_code: 2
Last 500 characters of output:
......................................................................................................................................................................................................................................
svg/animations .....
svg/animations/animate-path-nested-transforms.html -> failed

Exiting early after 1 failures. 18548 tests run.
351.80s total testing time

18547 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
9 test cases (<1%) had stderr output

Full output: http://queues.webkit.org/results/4764089
Comment 8 Shane Stephens 2010-11-03 13:35:09 PDT
Created attachment 72861 [details]
Patch
Comment 9 Shane Stephens 2010-11-03 13:40:24 PDT
The layout test was failing on the commit queue because run-webkit-tests (which the commit queue uses) is less permissive about newlines at the end of the expectations file than new-run-webkit-tests (which I was using) is.  That problem is fixed in the latest patch.
Comment 10 Shane Stephens 2010-11-03 13:43:52 PDT
tony: patch is identical to the previous r+'d one except for an extra newline at the end of the test expectations, and slightly looser tolerances for the location of the object at the start and end of the animation.
Comment 11 Tony Chang 2010-11-03 13:53:43 PDT
Comment on attachment 72861 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=72861&action=review

> LayoutTests/svg/animations/script-tests/animate-path-nested-transforms.js:47
> +    const expectedValues = [

const?
Comment 12 WebKit Commit Bot 2010-11-04 01:49:49 PDT
Comment on attachment 72861 [details]
Patch

Clearing flags on attachment: 72861

Committed r71314: <http://trac.webkit.org/changeset/71314>
Comment 13 WebKit Commit Bot 2010-11-04 01:49:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 WebKit Review Bot 2010-11-04 03:40:59 PDT
http://trac.webkit.org/changeset/71314 might have broken Qt Linux Release